> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# List context templates

POST https://api.getzep.com/api/v4/context-templates/list
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/context/list-templates

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Query parameters

- `limit` (integer, optional) — Page size
- `cursor` (string, optional) — Opaque page cursor

### Body (application/json)

This endpoint expects a v4.ContextTemplateListRequest.

- `name` (string, optional) — Filters results to the context template with this exact name.

## Response

### 200

OK

- `items` (list of v4.ContextTemplate, optional) — The context templates on this page.
- `next_cursor` (string, optional) — Opaque cursor for retrieving the next page, present only when more results are available.
- `total_size` (integer, optional) — The total number of context templates that match the request.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

## Types

### v4.ContextTemplate

- `created_at` (string, optional) — The time the template was created.
- `name` (string, optional) — The name of the context template.
- `template` (string, optional) — The template content.
- `uuid` (string, optional) — The unique identifier of the context template.

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "created_at": "string",
      "name": "string",
      "template": "string",
      "uuid": "string"
    }
  ],
  "next_cursor": "string",
  "total_size": 1
}
```